org.apache.flume.source.scribe

## Class Scribe.AsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient
  - - org.apache.flume.source.scribe.Scribe.AsyncClient

- All Implemented Interfaces:
    Scribe.AsyncIface
  Enclosing class:
    Scribe

      public static class Scribe.AsyncClient
      extends org.apache.thrift.async.TAsyncClient
      implements Scribe.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scribe.AsyncClient.Factory`
    `static class` | `Scribe.AsyncClient.Log_call`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scribe.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Log(List<LogEntry> messages, org.apache.thrift.async.AsyncMethodCallback<Scribe.AsyncClient.Log_call> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scribe.AsyncClient

          public Scribe.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                            org.apache.thrift.async.TAsyncClientManager clientManager,
                            org.apache.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### Log

          public void Log(List<LogEntry> messages,
                 org.apache.thrift.async.AsyncMethodCallback<Scribe.AsyncClient.Log_call> resultHandler)
                   throws org.apache.thrift.TException

      Specified by:
        `Log` in interface `Scribe.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.